rte_table_action_sym_crypto_config(3)

NAME
rte_table_action_sym_crypto_config

SYNOPSIS

#include <rte_table_action.h>

  Data Fields

uint8_t cryptodev_id
uint32_t op_offset
struct rte_mempool * mp_create
struct rte_mempool * mp_init

Detailed Description

Symmetric crypto action configuration (per table action profile).

Definition at line 729 of file rte_table_action.h.

Field Documentation

  uint8_t cryptodev_id
Target Cryptodev ID.

Definition at line 731 of file rte_table_action.h.

  uint32_t op_offset
Offset to rte_crypto_op structure within the input packet buffer. Offset 0 points to the first byte of the MBUF structure.

Definition at line 737 of file rte_table_action.h.

  struct rte_mempool* mp_create
The mempool for creating cryptodev sessions.

Definition at line 740 of file rte_table_action.h.

  struct rte_mempool* mp_init
The mempool for initializing cryptodev sessions.

Definition at line 743 of file rte_table_action.h.

Author

Generated automatically by Doxygen for DPDK from the source code.